
// MainFrm.h : interface of the CMainFrame class
//

#pragma once
#include <GdiPlus.h>
#include <memory>
#include "TeeChart\tchart.h"

class CMainFrame : public CFrameWnd
{
	
public:
	CMainFrame();
protected: 
	DECLARE_DYNAMIC(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar	m_wndStatusBar;

	bool m_bDragging;

// Generated message map functions
protected:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();

	ULONG_PTR m_GdiPlusToken;
    std::unique_ptr<CTChart> m_pChart1;

	int m_offset;
	int series;

	DECLARE_MESSAGE_MAP()

protected:
	DECLARE_EVENTSINK_MAP()

	void OnAfterDrawTchart();
	void OnMouseDownTchart(long Button, long Shift, long X, long Y);
	void OnMouseMoveTchart(long Shift, long X, long Y);
	void OnMouseUpTchart(long Button, long Shift, long X, long Y);
public:
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnTimer(UINT_PTR nIDEvent);
};


